package com.ruoyi.common.core.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author DongZl
 * @description: 上传文件模型
 * @Date 2023-9-29 下午 03:09
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UploadFileModel {

    /**
     * 访问路径
     */
    private String url;

    /**
     * 文件uri
     */
    private String fileName;

    /**
     * 文件名称
     */
    private String newFileName;

    /**
     * 原始文件名称
     */
    private String originalFilename;
}
