package com.ruoyi.custom.domain.req.sysclass;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 班级管理对象 sys_class
 *
 * @author ruoyi
 * @date 2024-04-22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysClassEditReq", description = "班级管理")
public class SysClassEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 班级名称
     */
    @ApiModelProperty(name = "班级名称", value = "班级名称", required = true)
    private String className;

    /**
     * 状态（0正常 1停用）
     */
    @ApiModelProperty(name = "状态（0正常 1停用）", value = "状态（0正常 1停用）", required = true)
    private String status;


}
