package com.ruoyi.custom.domain.req.sysgroup;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 小组管理对象 sys_group
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysGroupEditReq", description = "小组管理")
public class SysGroupEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 小组名称
     */
    @ApiModelProperty(name = "小组名称", value = "小组名称", required = true)
    private String groupName;


}
