package com.ruoyi.custom.domain.req.sysgroup;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 小组管理对象 sys_group
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysGroupQueryReq", description = "小组管理")
public class SysGroupQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 班级ID
     */
    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long classId;


}
